error: support for URL transfers was disabled when Octave was built

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

error: support for URL transfers was disabled when Octave was built

Emlyn Jose

Hi,

I have posted a bug yesterday but there is no response.

I am trying to install Octave-Symbolic in my Redhat6 Environment and getting the below error: 

+ octave --no-window-system --eval 'pkg install -forge symbolic' 
error: support for URL transfers was disabled when Octave was built 

The tar ball was downloaded from "https://github.com/cbm755/octsympy/releases/download/v2.6.0/symbolic-2.6.0.tar.gz". 

The above command was run inside the source after untaring it. 
Did I miss anything here?


Kindly help to rectify this.


Regards,

Emlyn Jose


_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: error: support for URL transfers was disabled when Octave was built

Pantxo
Emlyn Jose wrote

> Hi,
>
> I have posted a bug yesterday but there is no response.
>
> I am trying to install Octave-Symbolic in my Redhat6 Environment and
> getting the below error:
>
> + octave --no-window-system --eval 'pkg install -forge symbolic'
> error: support for URL transfers was disabled when Octave was built
>
> The tar ball was downloaded from "https://github.com/cbm755/
> octsympy/releases/download/v2.6.0/symbolic-2.6.0.tar.gz".
>
> The above command was run inside the source after untaring it.
> Did I miss anything here?
>
>
> Kindly help to rectify this.
>
>
> Regards,
>
> Emlyn Jose
>
> _______________________________________________
> Help-octave mailing list

> Help-octave@

> https://lists.gnu.org/mailman/listinfo/help-octave

I think the error says it all: "support for URL transfers was disabled when
Octave was built".
The RedHat package you are using has curl related functions disabled, so you
can't use the "-forge" option to install a package. Since you have
downloaded the package this option is not necessary. Instead you should run

cd where/you/downloaded/package
pkg install symbolic-2.6.0.tar.gz

Does this work?

Pantxo



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html

_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave